import { createI18n } from 'vue-i18n';

import cn from './config/cn';
import zhLocale from 'element-plus/dist/locale/zh-cn.mjs';

const messages = {};
const element = { 'zh-cn': zhLocale };
const itemize = {
	'zh-cn': cn,
};

// 合并数组对象（非标准数组对象，数组中对象的每项 key、value 都不同）
function mergeArrObj(list, key) {
	let obj = {};
    obj = Object.assign({}, obj, list[key]);
	return obj;
}
// 处理最终格式
for (const key in itemize) {
	messages[key] = {
		name: key,
		el: element[key].el,
	};
	messages[key] = Object.assign(messages[key], mergeArrObj(itemize, key));
}
const i18n = createI18n({
	legacy: false,
	silentTranslationWarn: true,
	missingWarn: false,
	silentFallbackWarn: true,
	fallbackWarn: false,
	locale: 'zh-cn', // 设置默认语言
	messages, // 设置翻译内容
});

export default i18n;
